package de.fhw.swtvertiefung.knauf.jsp4.tags;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.JspException;

/**Tag-Klasse fr ein Tag "fhre Inhalt nur aus wenn
 * ein bestimmtes Request-Attribut vorhanden ist".
 * 
 * @author Wolfgang Knauf
 *
 */
public class IfExistsRequestAttributeTag extends BodyTagSupport
{
  /**Das Request-Attribut, dessen Vorhandensein geprft wird.
   * Pflicht-Attribut */
  private String strRequestAttribute = "";

  /**Tag ausfhren.
   * 
   * Es wird geprft ob ein bestimmtes 
   * 
   * @throws JspException
   * @throws IOException
   */
  public int doStartTag() throws JspException
  {
    System.out.println("IfExistsRequestAttributeTag.doStartTag: " + this.strRequestAttribute);
    HttpServletRequest request = (HttpServletRequest) this.pageContext.getRequest();
    if (request.getAttribute(this.strRequestAttribute) != null)
    {
      System.out.println ("IfExistsRequestAttributeTag.doStartTag: Request-Attribut existiert !");
      return TagSupport.EVAL_BODY_INCLUDE;
    }
    else
    {
      System.out.println ("IfExistsRequestAttributeTag.doStartTag: Request-Attribut existiert nicht");
      return TagSupport.SKIP_BODY;
    }
  }

  /**Release: Aufrumen.
   * Hier muss nichts weiter passieren.
   * 
   */
  public void release()
  {
    System.out.println("IfExistsRequestAttributeTag.release: " + this.strRequestAttribute);
  }

  /**Attribut "requestparameter" setzen (Pflichtfeld).
   * @param str_RequestAttribute
   */
  public void setRequestAttribute(String str_RequestAttribute)
  {
    System.out.println("IfExistsRequestAttributeTag.setRequestParameter: " + str_RequestAttribute);
    this.strRequestAttribute = str_RequestAttribute;
  }

}
