package de.fhw.swtvertiefung.knauf.jsp4.tags;

import java.io.IOException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.SimpleTagSupport;

/**Tag-Klasse fr ein Tag "gib ein bestimmtes Request-Attribut aus".
 * 
 * @author Wolfgang Knauf
 *
 */
public class PrintRequestAttributeTag extends SimpleTagSupport
{
  /**Der Request-Attribut, dessen Vorhandensein geprft wird.
   * Pflicht-Attribut */
  private String strRequestAttribute = "";

  /**Tag ausfhren.
   * Es wird der bergebene Request-Parameter ausgegeben wenn vorhanden.
   * @exception JspException Bei Fehlern.
   */
  public void doTag() throws JspException
  {
    System.out.println("PrintRequestAttributeTag.doStartTag: " + this.strRequestAttribute);

    //Request-Attribut auswerten:
    Object objValue = this.getJspContext().getAttribute(this.strRequestAttribute, PageContext.REQUEST_SCOPE);
    //Wenn er nicht NULL ist dann ausgeben:
    if (objValue != null)
    {
      try
      {
        this.getJspContext().getOut().write(objValue.toString());
      }
      catch (IOException ioex)
      {
        throw new JspException ("IOException: " + ioex.getMessage(), ioex);
      }
    }
  }

  /**Attribut "requestAttribute" setzen (Pflichtfeld).
   * @param str_RequestAttribute
   */
  public void setRequestAttribute(String str_RequestAttribute)
  {
    System.out.println("PrintRequestAttributeTag.setRequestAttribute: " + str_RequestAttribute);
    this.strRequestAttribute = str_RequestAttribute;
  }
}
